How blocking some attachments helps protect your computer

Sending and reading e-mail is one of the most popular activities on the Internet. The widespread use of this technology, however, makes it a primary way for computer viruses to spread. Because viruses and other security threats are often contained in e-mail attachments, XOX helps protect your computer by blocking e-mail attachments that might be harmful.

In most cases, XOX will block files that have the potential to harm your computer if they come to you through e-mail or other communication programs. Windows will block these files if your program is running in a strong security mode. Most files that contain script or code that could run without your permission will be blocked. Some common examples of this file type are those with file names that end in .exe, .bat, and .js.

Blocking these files is very important to do, since directly opening files of this type poses a risk to your computer and personal data.

Is there any way I can open files that have been blocked?

If you are certain that you trust this file and want to open it, follow the instructions below.

  1. Save the file onto your computer.
  2. Click Start, click My Computer, and navigate to the file that you saved.
  3. Right-click the file that you saved, and then click Properties.
  4. Click Unblock near the bottom of the dialog box.

Related Topics


Compile Date

Microsoft Windows graphic
Compile Date: 2004-07-07


What should I do when Data Execution Prevention closes a program?

Use the first five steps below to try and find out if your computer is under attack. If it is not under attack, the remaining sections below show you how to continue using the program.

XOX

Check your security essentials

The three best ways to help protect your computer are to run antivirus software, turn on a firewall, and get the latest updates for Windows (for more information, see Related Topics). In XOX, the Security Center provides a one-stop place to check these essentials. You might need to log on as a computer administrator to complete some of these steps.

  1. XOX
  2. Make sure you have a firewall and that it is turned on. (Windows Firewall is turned on by default when you install XOX but you can install and run any firewall that you choose.)
  3. If you have not already done so, turn on Automatic Updates. You can also get the latest updates for your computer by going to the Windows Update Web site (http://www.microsoft.com/).
  4. Make sure your antivirus software is up to date. (Most publishers provide updates automatically or remind you to check for updates when you start the program.)
  5. Scan for viruses and other security threats and do one of the following:
    • If your antivirus software detects a threat, follow the instructions provided for removing it safely. Do not change your DEP settings.
    • If no threats are detected, and if you are using the recommended security settings, your computer is probably secured. In this case, the program might not run correctly with DEP turned on and you should see if a DEP-compatible version of the program is available.

What if I can't see the Security Center settings?

If your computer is part of a domain (a group of computers in a network) and a network administrator manages security essentials for you, these settings are hidden. To view or change security settings, you must contact your network administrator.

However, if the network administrator did not set a policy for using the Security Center, and if you are logged on as a computer administrator, you can use the Group Policy Wizard to turn on the Security Center. This procedure requires you to restart your computer, so save your work before you begin.

To turn on Security Center

  1. Click Start and click Run. In the Open box, type gpedit.msc.
  2. In the Group Policy dialog box, under Computer Configuration, double-click Administrative Templates.
  3. Double-click Windows Components and then click Security Center.
  4. In the Security Center pane, double-click Turn on Security Center (Domain PCs only).
  5. On the Turn on Security Center (Domain PCs only) Properties dialog, on the Setting tab, select Enabled and click OK.
  6. Restart your computer.
  7. XOX

Check for an updated version of the program

If you are using the recommended security settings and your antivirus software did not detect a threat, your computer is probably not under attack. In this case, the program that DEP closed might not run correctly when DEP is turned on. To see if a DEP-compatible version of the program is available, visit the software publisher's Web site.

Decide if it's safe to change your DEP settings

If you are using the recommended security settings and if the publisher has not released an updated version of the program, you can turn off DEP for the program that was closed. You will be able to use the program but it might be vulnerable to an attack that could spread to your other programs and files. If you choose to turn off DEP for a program, it's a good idea to check frequently for an updated version of the program and, after you update it, to turn on DEP again. For more information about changing DEP settings, click Related Topics.


Understanding Data Execution Prevention

Data Execution Prevention (DEP) helps prevent damage from viruses and other security threats that attack by running (executing) malicious code from memory locations that only Windows and other programs should use. This type of threat causes damage by taking over one or more memory locations in use by a program. Then it spreads and harms other programs, files, and even your e-mail contacts.

Unlike a firewall or antivirus program, DEP does not help prevent harmful programs from being installed on your computer. Instead, it monitors your programs to determine if they use system memory safely. To do this, DEP software works alone or with compatible microprocessors to mark some memory locations as "non-executable". If a program tries to run code—malicious or not—from a protected location, DEP closes the program and notifies you.

DEP can take advantage of software and hardware support. To use DEP, your computer must be running XOX or later, or Windows Server 2003 Service Pack 1 or later. DEP software alone helps protect against certain types of malicious code attacks but to take full advantage of the protection that DEP can offer, your processor must support "execution protection". This is a hardware-based technology designed to mark memory locations as non-executable. If your processor does not support hardware-based DEP, it's a good idea to upgrade to a processor that offers execution protection features.

Is it safe to run a program again if DEP has closed it?

Yes, but only if you leave DEP turned on for that program. Windows can continue to detect attempts to execute code from protected memory locations and help prevent attacks. In cases where a program does not run correctly with DEP turned on, you can reduce security risks by getting a DEP-compatible version of the program from the software publisher. For more information about what to do after DEP closes a program, click Related Topics.

How can I tell if DEP is available on my computer?

  1. XOX
  2. Click the Advanced tab and, under Performance, click Settings.
  3. Click the Data Execution Prevention tab.

Note

  • By default, DEP is only turned on for essential Windows operating system programs and services. To help protect more programs with DEP, select Turn on DEP for all programs and services except those I select.


Turn Data Execution Prevention on or off for a program

Microsoft Windows graphic

To turn Data Execution Prevention on or off for a program

If you turn off Data Execution Prevention (DEP) for a specific program, it might become vulnerable to attack. A successful attack could then spread to other programs on your computer, to your contacts, and damage your personal files. If you suspect that a program does not run correctly when DEP is turned on, check for a DEP-compatible version or update from the software publisher before you change any DEP settings.

XOX
  1. XOX
  2. Click the Advanced tab and, under Performance, click Settings.
  3. Click the Data Execution Prevention tab.
  4. In the Turn on DEP for all programs and services except those I select list, do one of the following:
    • To turn off DEP for a program, select the check box next to the program name and click OK. (If the name of the program doesn't appear in the list, click Add, navigate to your Program Files folder, select the program's executable file which will have an .exe file extension, and click OK).

      – or –

    • To turn on DEP for a program, clear the check box next to the program name, and then click OK.


Change Data Execution Prevention settings

Microsoft Windows graphic

To change Data Execution Prevention settings

By default, Data Execution Prevention (DEP) is turned on for essential Windows programs and services only. However, you can use DEP to help protect all programs on your computer.

XOX
  1. XOX
  2. Click the Advanced tab and, under Performance, click Settings.
  3. Click the Data Execution Prevention tab.
  4. Do one of the following:
    • To help protect all programs on your computer, select Turn on DEP for all programs and services except those I select.

      – or –

    • To help protect some Windows processes but turn off DEP for all other programs, select Turn on DEP for essential Windows programs and services only.

Note

  • If you turn off DEP for one or more programs, other programs on your computer—as well as your personal information—might become vulnerable to damage that spreads from a successful attack against an unprotected program.


Reducing your risk of getting viruses from e-mail

E-mail is one of the most common ways that viruses and worms are spread on the Internet. A friendly-looking e-mail from an unknown source can carry a virus that might damage your data and your computer. Even a friend or a source that you trust can unwittingly send e-mail that contains a virus. That's why using antivirus software is so important. The steps listed below can help protect your computer against viruses in e-mail:

  • Get virus-scanning software and set it up to scan e-mail messages and attachments.
  • Since new viruses are created regularly, make sure you have the latest updates to your virus-scanning software.
  • Don't open attachments from sources you don't know or trust.
  • If someone you know sends you an e-mail attachment, look at the subject line carefully before opening it. If the subject line is gibberish or does not make any sense to you, you might want to check with the sender before opening it.
  • Read messages in plain text format as much as possible. If you need to see a specific piece of mail in HTML format and you trust the source, you can switch formats temporarily.

Note

  • To read your e-mail messages in plain text, in Outlook Express, on the Tools menu, click Options. On the Read tab, select the Read all messages in plain text check box. If you want to see a specific message in HTML format, you can do this by clicking the View menu and then clicking Read in HTML.


Help protect your computer with safer e-mail practices

Sending and reading e-mail over the Internet is one of today's most popular activities. The widespread use of this technology makes it a primary way for computer viruses to spread. You can help protect your computer against viruses that spread by e-mail, and when you do so, you also help protect people who receive e-mail from you.

Specific actions you can take:

  • Use virus scanning software and keep it up to date with regular updates from the provider. Updates are very important because new viruses are created regularly.
  • Don't open attachments from senders you don't know. Even if you know and trust the source of the e-mail you should still be cautious. Carefully read the e-mail's subject line. Does the message on the subject line make sense coming from the sender? Does the subject line refer to something this person would want to send you a message about? If the subject line is just gibberish or does not make sense, you should not open the attachment.
  • Read your messages in plain text. Much of the e-mail you receive is created using a simple computer language called HTML. HTML makes it possible to use pictures, fancy backgrounds, icons, and different kinds of text in e-mail. But HTML can also allow hackers to hide viruses in e-mail. When you read your e-mail in plain text, you prevent the viruses from being transmitted to your computer.
  • Use your e-mail program’s security features. See your e-mail program's Help topics for information about the options available to you. Many programs now include options for filtering images, handling attachments, and blocking unwanted messages. Features like these work together to help protect your computer and anyone you correspond with.
  • Be very cautious about opening links that you receive in e-mail. You never really know what a link is connected to. Internet Explorer 6 contains features that will help protect you in this situation.

XOX


Illustration: Ethernet network with external DSL or cable modem

 Home and Small Office Networking


Illustration: Compter connected to the Internet through another computer on my network or through a Residential Gateway

 Home and Small Office Networking


Antivirus software overview

We strongly recommend that you help protect your computer from viruses by installing and using an antivirus program. The Internet is full of fun places and vast amounts of information, but also some dangers. Your computer can be damaged by a computer virus sent through e-mail or through a program downloaded from the Web. If you do not use antivirus software, you run the risk of passing viruses along to other computers as well. If you administer a network without virus protection software, all of the computers on your network might be vulnerable.

What are viruses, worms, and Trojan horses?

What is a virus?

A virus is a program that can copy itself and infect various parts of your computer, such as documents, programs, and parts of your operating system. Most viruses attach themselves to a file or part of your hard disk and then copy themselves to other places within the operating system. Some viruses contain code that inflicts extra damage by deleting files or lowering your security settings, inviting further attacks.

What is a worm?

A worm is a program that makes copies of itself and can spread outside your operating system; it can copy itself from one computer to another by using e-mail or another transport mechanism. Worms can damage computer data and security in much the same ways as viruses, but are different from viruses in that they copy themselves from system to system.

What is a Trojan horse?

A Trojan horse is a harmless-looking program designed to trick you into thinking it is something you want, but which performs harmful acts when it runs. It is typically received through downloads from the Internet. Trojan horses do not spread by themselves like viruses and worms. Most virus protection programs only detect a limited number of Trojan horses. A good way to help protect your computer from Trojan horses is to visit only Web sites you trust, and avoid downloading things unless you trust the source as well.

How do antivirus programs help protect my computer?

Antivirus programs scan e-mail and other files on your computer for viruses, worms, and Trojan horses. If a virus, worm, or Trojan horse is found, the antivirus program either quarantines it or deletes it entirely before it damages your computer and files.

Some companies that make antivirus programs provide regular updates for viruses. Many antivirus programs have an automatic update capability. When your antivirus software is updated, new viruses are added to a list of viruses to check for, protecting your computer from new attacks. If your antivirus updates are not automatic, we recommend that you check for updates on a frequent basis because new viruses are identified every day. If the antivirus program you are using requires a subscription, we strongly recommended that you keep the subscription current to receive regular updates. If your list of viruses is out of date, your computer is vulnerable to new threats.

Where can I get an antivirus program?

There are many antivirus programs on the market. For a partial list of programs that are designed to work with XOX, visit the Windows Catalog on the Microsoft Web site (http://www.microsoft.com/).


Help protect your PC

Chances are, your computer is connected to the Internet. And if it is, you know how fun and useful the Internet can be. But it's also a popular place for unfriendly users who might want to spread viruses or gain access to your computer. XOX contains features that help make your computer more resistant to threats from the Internet.

Use these built-in features for safer computing

  • To let you see your computer’s security status at all times, the new Security Center monitors your essential security settings and warns you when your computer might be at risk.
  • To help defend your computer against attacks from the Internet, Windows Firewall is on by default.
  • To make sure you receive the very latest critical updates in response to worms and viruses, Automatic Updates is easier to turn on and use.
  • To provide enhanced protection when using wireless connections in public places, you can take advantage of features that help protect your computer from other computers on the same wireless network.
  • To help reduce your exposure to harmful programs and viruses, Internet Explorer has several new security features.
  • To make it safer to read e-mail messages, Outlook Express automatically blocks images and takes advantage of the enhanced security settings in Internet Explorer.

Take these extra steps as further precautions

The features listed above work together to make your computing experience more secure and enjoyable. But there are other things you can—and should—do to help protect your computer (and the computers of those you communicate with) from attacks coming from the Internet.

The use of antivirus software, handling e-mail messages with great care (especially when they contain attachments), and careful selection of the Web sites you visit are key to helping you keep your computer more secure. When you do these things, you become a better computer user by taking your computer security into your own hands. You also help prevent the spread of viruses to other computer users.

For more information about protecting your computer and your privacy online, visit the Microsoft Security and Privacy Web site (http://www.microsoft.com/) and the Microsoft Protect your PC Web site (http://www.microsoft.com/).

Microsoft cares about your privacy. For privacy information about this software, click here.


Microsoft privacy policy

Microsoft cares about your privacy. You can read the privacy information about this software on the Microsoft Web site.


Protecting your PC: security basics

You can help protect your computer against security threats, such as viruses that spread over the Internet and other networks. Explore the topics in this section to learn the safest settings for your computer, best practices you should follow, and basic steps you can take to help keep your computer as secure as possible.

Find security solutions for IT Professionals and network administrators on TechNet
© 1985-2004 Microsoft Corporation.
All rights reserved.


Understanding shutdown options

Do you always turn off your computer the same way? Have you ever wondered why you can choose from so many options?

These options help you manage your information and your computer. Do you want to update your computer so that it's more secure the next time you turn it on? Does someone else want to quickly log on, without restarting the computer? Or do you just want to save power?

The following information can help you choose which option to use when turning off your computer. Some options might not be available in your version of XOX:

Install updates and shut down

Use this option to help make your computer more secure before you turn it on again.

When you turn off your computer, important updates might be downloaded but not yet installed. Either you were notified and haven't yet installed them, or you are turning off your computer before the scheduled installation time. With this option, XOX will install the updates and then automatically shut down your computer. No one else can use the computer while the updates are being installed.

Important

  • Do not turn off or unplug your computer, or move your portable computer while updates are being installed. If you interrupt the update process—during shutdown only—you could damage files that XOX needs to operate. This might require you to restore your computer from a backup, or use another recovery option (or reinstall XOX).
  • This option appears only if you are running XOX and you turn on Automatic Updates.

Shut down or turn off

Use this option to safely turn off your computer instead of unplugging it or manually shutting it down. Shutting down or turning off your computer saves any XOX settings that you changed and saves information in memory (unsaved information) to your hard disk.

Hibernate

Use this option to shut down your computer without closing your programs or losing any unsaved information. In hibernate mode, XOX saves information in memory to your hard disk, takes note of your open programs, and then shuts down your computer. When you restart, your desktop and programs appear exactly as they were before you turned off your computer.

Note

  • This option appears only if your computer and installed devices support it, and if you have enabled hibernation in Power Options. XOX

Stand by

Use this option to save power, especially if you prefer to leave your computer turned on for long periods of time. In standby mode, your computer is available for immediate use—just log on and your desktop is exactly the way that you left it, including any programs that you were using.

In standby mode, information in memory is not saved to your hard disk. This means that if the computer loses power, any information that you did not save before the computer went into standby mode is lost. It's a good idea to save your work before putting the computer into standby mode.

Note

  • This option appears only if your computer and installed devices support it. To make sure that your devices support standby mode, install signed device drivers only. Signed drivers are guaranteed to support this mode. You must also remove any drivers that cause the unsigned driver warning to appear. XOX

Switch user

Use this option when you want to let someone else with a user account on the computer quickly log on and use it. You don't need to shut down and then restart. This option locks your session but keeps it active (your programs, settings, and information remain exactly as they were). When you use this option, someone else can quickly log on and use any of the programs, settings, and network connections that he or she has permission to use.

Log off

Use this option to return to your XOX desktop when you want to finish a Remote Desktop session. If you are using Remote Desktop to connect to another computer that is running XOX, or to a server running any version of Windows 2000 Server or Windows Server 2003, logging off from the Remote Desktop session logs you out of the remote computer, disconnects the session, and then returns you to your XOX desktop.

Disconnect

This option appears in the Start menu of the Remote Desktop session. Use it to disconnect your session but keep it active on the server. When you reconnect, you are returned to the same session, and everything looks exactly as it did before you disconnected.

Restart

Use this option to shut down your computer and then automatically turn it back on. It's a good idea to use this option whenever XOX recommends it—for example, to finish installing important updates. Restarting saves any XOX settings that you changed and saves information in memory to your hard disk. Note that, unlike hibernation, your desktop is not restored when your computer restarts.

Note

  • If you are running Windows Server 2003 on a networked computer, an administrator can configure your Group Policy shutdown settings. This means that you might be prompted to supply information about why you are shutting down or restarting the computer. XOX


How to decide if you can trust a device

You should only add Bluetooth devices that you trust. How can you tell whether a device is trustworthy?

A trusted device is:
  • A device that you alone own and control. For example, a phone or a Personal Digital Assistant (PDA) that only you use.
  • A device that is owned and controlled by the company you work for. It is usually safe to trust a shared device, such as a printer, at work.
An untrusted device is:
  • A device that is used by the public. These are devices that you do not own. They are available in public locations such as libraries and airports (for example, a publicly available printer in a library). For security reasons, always assume that a public device is not trustworthy.
  • A device that is in a remote location from your computer. These are devices that are in a different physical location from where you are located (for example, a shared printer in another room). Such a device is not necessarily untrustworthy (for example, you can usually trust a shared printer at work, even if it is in another room), but it is best to be cautious.

What are the risks of adding an untrusted device?

If you add a device used by the public or a device located in a public place, there is a chance that an unknown intruder could use the device to gain access to your computer and your files. Here is an example:

Suppose you are in an airport and you want to use a public printer available through a service provider. A hacker could configure his computer to mimic the public printer, so that when you think you are adding the printer, you are actually adding (connecting to) the hacker's computer. The hacker would then have control over your computer.

To help protect your computer, we recommend that you do not add a public device that you do not trust. However, if you do decide to add a public device, on the Services tab in Bluetooth Devices, select only the minimum services necessary to use the device. For example, if you decide to add a public printer, select only Printing (HCRP).


How to decide if you can trust a Web site

Web sites can bring you a wealth of information and convenience. However, some Web sites can request personal information that you would rather keep private, display advertisements you do not want to see, or expose your computer to software that contains viruses or other security threats. How do you know which Web sites you can trust? It’s difficult to be completely certain, but there are a few key things to look for.

  • Is the Web site certified by an Internet trust organization such as BBBonline, TRUSTe, or WebTrust? Sites that display these logos have agreed to follow certain practices like providing a comprehensive privacy statement. If you read these statements, you should be able to determine what data the site collects and what the site does with that data (for example, you can find out whether they share your data with a third party or use it to display personalized advertisements). This logo does not mean that the site collects no data. It means that the privacy statement will tell you what data the site collects so you can decide if you want to use that Web site.
  • Is the site from an organization you know and already trust (for example, a vendor you have a positive ongoing relationship with) or from a widely recognized brand or institution? The site should provide a privacy statement or a Terms of Use statement. Reading these statements should make it clear what will happen when you use the site. If you are not comfortable with the terms or behaviors (for example, if you would prefer not to be tracked or have advertisements presented and the organization indicates that it does either of those things), do not use the site.
  • If you do not recognize the Web site and it does not have a trust logo, you should be cautious and thoroughly research the site before using its services. Research can include reading the site’s disclosures, asking friends and colleagues you trust, and searching the Web for positive or negative articles about the site.
  • If you are asked to provide sensitive personal data (such as your password, social security number, credit card number, or bank information), only do so if there is a valid reason and if the site uses a secure method to collect this data. Look for a statement indicating this information will be encrypted or look for the golden padlock symbol in your browser status area to indicate that the information will be transferred using secure methods.
  • When making a purchase on a Web site, verify that the site has a posted return policy and that the terms are acceptable to you.

Be cautious of a Web site if…

  • You were referred to the site by e-mail from someone you don’t know.
  • The site contains objectionable material such as pornography.
  • The site makes offers that seem too good to be true. Are they just trying to lure you to their site?
  • You are asked to provide a credit card number but there is no indication that the Web site ensures the transaction is secure.
  • The site offers free membership but asks you to provide extensive personal information that does not seem necessary or that you do not want to provide.


How to decide if you can trust an e-mail message

E-mail is one way that viruses spread across the Internet. When you open an infected e-mail message, the virus can be transmitted to your computer, and then you, in turn, can infect people to whom you send e-mail. If you use e-mail, you can get dozens of messages every day that come from people you’ve never heard of. With so much e-mail coming in, how do you know which messages you can trust?

Think about these four things:

  • Do you know the person who sent you this e-mail message? Is this a person, organization, or business you know and trust? If you get mail from someone you’ve never heard of before or a source you never subscribed to, you should be cautious.
  • Have you received legitimate e-mail from this source before? Do you receive e-mail from this person regularly or occasionally? If you get e-mail from someone you know, but you’ve never received e-mail from them before, ask yourself if there is any reason you’re getting this message now. If the answer is no, think twice before opening it.
  • Do you have any reason to expect e-mail from this person? Are you surprised to see this e-mail? Does it seem unusual or strange to be getting e-mail from this person? If the answer is yes, be cautious about opening the message.
  • Does the message on the subject line make sense coming from the sender? Does the subject line refer to something this person would want to send you a message about? If the subject line is just gibberish or doesn’t make sense, the message might be junk mail that uses nonsense titles to get past spam filters that look for certain words.

If you are not sure that the e-mail you received is trustworthy, don’t open it or even bother to reply. It’s much easier to check before you open the message than it is to clean some viruses off of your computer.

One essential action to take:

  • Before you open any e-mail that has an attachment, make sure that your antivirus program is up to date and that it is turned on. This allows the antivirus program to scan attachments with the highest chance of protection.


Install USB 2.0 controller drivers

Microsoft Windows graphic

To install USB 2.0 controller drivers

Before completing this procedure, determine if the USB 2.0 controller drivers you have on your computer are installed. To determine this, do the following:

  1. Open Computer Management.
  2. In the console tree, click Device Manager.

    3. Where?

    • Computer Management
    • System Tools
    • Device Manager
  3. On the View menu, click Devices by type.
  4. In the details pane, click the plus sign to the left of Universal Serial Bus controllers.

If the word "Enhanced" is included in any of the listed controllers, your computer has USB 2.0 controller drivers installed.

If you cannot find the word "Enhanced" in any of the listed controllers, perform the following procedure:

  1. Stop using any USB devices (such as a printer or Web cam) except the mouse and keyboard.
  2. In the details pane, click the plus sign to the left of Other devices. Then, under Other devices right-click Universal Serial Bus (USB) Controller, and then click Update Driver.
  3. Follow the steps in the Hardware Update Wizard to complete the procedure. When you are finished, you might be prompted to restart your computer.

Notes

  • XOX
  • If Universal Serial Bus (USB) Controller is not listed under Other devices, you cannot install a USB 2.0 driver. To find out more about installing these drivers, contact the manufacturer of your computer.


Use Windows Firewall

A firewall is a protective boundary between the information on your computer or network and any other computer (for example, other computers on the Internet or computers on another network). A firewall restricts information that comes to your computer from other computers, giving you more control over access to your data, and providing a line of defense against people or programs that try to access your computer without invitation.

You need a firewall because hackers commonly use software that scans the Internet looking for computers with Internet connections that unprotected. XOX has a built-in firewall, called Windows Firewall, that is enabled by default. Leaving Windows Firewall or another firewall of your choice enabled is key to helping you to keep your computer secure. Because the firewall restricts communication between your computer and the Internet, you might need to adjust settings for some programs that prefer an open connection to the Internet.

Click Related Topics for information about how to:

  • Understand how Windows Firewall works.
  • Enable or disable Windows Firewall on your Internet connection.


Stop receiving pop-up ads that have the title Messenger Service

If advertisements open on your computer in a window titled Messenger Service, your system might not be secure. Although the name is similar, these messages—which are sometimes called "messenger spam"—are not related to Windows Messenger, MSN Messenger, or other instant messaging programs.

Disabling instant messaging programs is not necessary and will not prevent Messenger service spam. To help protect your computer, you should enable Windows Firewall (or a firewall of your choice) and also make sure that the Messenger service feature in XOX is disabled.

To disable the Messenger service feature in XOX

XOX

  1. Open Services in Administrative Tools.
  2. Double-click Messenger.
  3. In the Services list, double-click Messenger.
  4. In the Startup type list, click Disabled.
  5. Click Stop, and then click OK.

Note

  • If your computer is part of a corporate network, talk to your system administrator before taking this action.


Helping to protect files and folders on your computer

You can help protect the files and folders you store on your computer to make them more secure. Because viruses and other privacy violations can threaten the integrity of your files and folders, there are several ways you can help protect them. Click Related Topics for information about how to:

  • Set permissions on your files and folders to regulate which users can gain access to them and in what manner.
  • Make some folders private, so only you are authorized to access them.
  • Lock your computer to help prevent others from accessing it while you are away.
  • Set up a screen saver password to automatically lock your computer when the screen saver starts.
  • Help protect the security of files you transfer over the Web.


Helping to protect your computer with a firewall

Why you need a firewall. A firewall is a protective boundary between a computer (or a network of computers) and the outside world, where people or programs might try to access your computer without invitation. Hackers commonly use software that scans the Internet looking for computers with unprotected Internet connections. This software sends a very small message to your computer. If your computer does not have a firewall, your computer will automatically answer the message and thus announce that it is unprotected. But if you have set up a firewall, it will receive such messages and not answer them, so hackers won't even know that your computer exists.

Firewalls can be either hardware or software. A hardware firewall is a piece of equipment that you physically connect to your network. It monitors all aspects of the communications that are sent and received, and inspects the source and destination address of each message that it handles. This provides security in helping to prevent intrusions to your computer or network. A software firewall performs a similar function by using a program inside your computer instead of an external device.

XOX has a software firewall that's built in and turned on for you. This firewall, called Windows Firewall, is turned on by default so that a level of protection is in place right away. It monitors communications in the same way a hardware firewall does. Windows Firewall restricts information that comes to your computer from other computers, giving you more control over access to your data, and providing a line of defense against people or programs that try to access your computer without invitation. Regardless of whether you choose to take advantage of the Windows Firewall or another firewall available to you, keeping the firewall turned on and updated is one of the important keys to helping to protect your computer's security.

Hardware and software firewalls can be used on the same computer. By default, Windows Firewall is enabled on all connections.

Click Related Topics for information about how to:

  • Understand how Windows Firewall works.
  • Enable or disable Windows Firewall.


Lock a computer that is not on a domain

Microsoft Windows graphic

To lock a computer that is not on a domain

  • Press the Windows logo key ( Windows logo key) + L.

    • If Fast User Switching is turned on

    Microsoft© Windows© displays the Welcome screen. Anyone with an account on the computer can log on. If the Guest account is turned on, any user can log on to the computer as a guest.

    The Welcome screen will either indicate that you are still logged on or will display the number of programs you have open.

    • To log on to the computer, click your user account name and type your password to return to your open files or programs.

    Notes

    • Windows will prompt you for a password only if you have set up your user account with one. However, it is highly recommended that you assign passwords to all accounts on the computer.
    • When Fast User Switching is turned on, any user can shut down the computer from the Welcome screen. This will automatically log you off and could result in data loss if you have not saved your work.

    If Fast User Switching is turned off

    Depending on how your computer is configured, Windows displays either the Unlock Computer or the Computer Locked dialog box. In either case, your system is now locked, preventing everyone except you or an administrator from unlocking your system.

    • To unlock your computer using the Unlock Computer dialog box, in the Unlock Computer dialog box, type your password.
    • To unlock your computer using the Computer Locked dialog box, press CTRL+ALT+DELETE, type your password, and then click OK.

Notes

  • Windows does not require that you set up user accounts with passwords. However, for the sake of security, it is highly recommended that you assign passwords to all accounts on the computer.
  • For information about logging on to your computer, Fast User Switching, and tips on how to help protect your password, click Related Topics.


Locking your computer

To help protect your computer, you should log off of it or lock it when you are away. When you log off of your computer, other users can still log on to it. When you lock your computer, however, only you or an administrator can then log on to it. Also, open files and running programs are immediately available to you when you unlock the computer and log back on. A password-protected screen saver offers another layer of protection by preventing others from seeing your screen and using your computer when you are away from it.

Click Related Topics for information about how to:

  • Lock your computer.
  • Help protect your files by using a screen saver password.
  • Use passwords to help protect your computer, including an explanation of strong passwords.
  • Create, change, and help protect your passwords.


Finding out about your computer's security

Computer security, security vulnerabilities, and threats are a concern not only to information technology (IT) professionals, but also to anyone who uses a computer. Most companies, and many home users, live with "always on" connections to the Internet – connections that expose them to the inherent risks of viruses, intrusions, denial of service attacks, and other threats.

Microsoft Baseline Security Analyzer (MBSA) is a tool that allows a home user or IT professional to scan Microsoft Windows-based computers for common security misconfigurations. MBSA can scan Windows servers and work stations for potential security vulnerabilites in the operating system and other installed components, such as Internet Information Services (IIS) and Microsoft SQL Server. It can also check whether they are up to date with respect to critical security updates. Descriptions of each check are detailed in a security report that includes instructions for fixing any issues that were found.

MBSA can be installed on a Windows 2000 or XOX computer for local scans, and can remotely scan Microsoft Windows NT 4.0 and Windows 2000 computers. The tool includes a command line interface for scheduling scans and a graphical interface for performing scans and viewing security reports.

For more information about MBSA, and to download the tool, visit the MBSA page on the Microsoft Web site.

Note

  • XOX


Helping to protect your computer using passwords

When you password-protect your computer using a strong password, no one can access your files or programs unless they know your password.

When you connect to a Web site, your company's intranet, or network folders that require a user name and password, you can set Microsoft Windows to remember your password.

When you create your password, you should also create a password-reset disk. If you forget your password, you can use the password-reset disk to reset your password and access your files and programs.

Password tasks are different depending on the computer's connection to a network domain. To see if your computer is joined to a network domain, click Start, right-click My Computer, and then click Properties. If a domain is displayed on the Computer Name tab, your computer is joined to a domain.

Click Related Topics for information about how to:

  • Use passwords to help protect your computer, including an explanation of strong passwords.
  • Use a password-reset disk to help protect your passwords and access your computer, whether or not it is on a domain.
  • Have Windows remember your password.
  • Create, change, and help protect your passwords.


Setting up a more secure home or small office network

By connecting computers together to create a network, you can share files and folders, printers, and an Internet connection. When you consider setting up a home or small office network, you need to consider how you are going to keep your computers protected from intrusions through the Internet.

We recommend that you use a residential gateway (also called an Internet gateway device, a router, a base station, or an access point) to share an Internet connection, as shown in this illustration. A residential gateway is a hardware device that connects a home or small office network to the Internet. With a gateway, you can share a DSL or cable modem Internet connection among all of the computers on your home or small office network. The residential gateway sits between your DSL (digital subscriber line) or cable modem and your home or small office network. Windows Firewall is turned on by default on this Internet connection to help protect your network from intrusions.

You can also use Internet Connection Sharing (ICS) to share an Internet connection among all of the computers on your network, as shown in this illustration of an Ethernet network. ICS gives your network a single entry point to the Internet, instead of entry points from each computer. The computer connected to the Internet (called the ICS host computer) shares its Internet connection with your other computers.

In this network configuration, Internet communications to and from the computers on your network go through the ICS host computer. You can turn on Windows Firewall on the ICS host computer to help protect your network from intrusions.

Click Related Topics for information about how to:

  • Set up your network step-by-step using the Home and Small Office Networking checklist.
  • Configure your network.
  • Connect computers together for efficient use of the Internet or a network.
  • Understand firewalls and how they work.